GET /api/v202106/reportdistribution/log/{reportDistributionLogId}/detail

Get the details for a report distribution log

GetReportDistributionLogDetailsV202106 Permissions: DistributedReportsSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
reportDistributionLogId Id of the report distribution log to get the details for integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ReportDistributionLogDetailsResponse
Property Description Type
emailSettings ReportDistributionLogEmailSettings
ReportDistributionLogEmailSettings properties
Property Description Type
dayIndicator ReportSubscriptionDayIndicatorChild
ReportSubscriptionDayIndicatorChild properties
Property Description Type
dayIndicatorInfo Name of the day indicator Daily: None Weekly: One of Sunday to Saturday Monthly: One of 1 to 28 Quarterly: 1st day of month 1 of calendar quarter, 1st day of month 2 of calendar quarter, 1st day of month 3 of calendar quarter string
dayIndicatorValue Indicates when to send the report for the given schedule type Values may be: Daily: 0 Weekly: Day of Week - 0 (Sunday) to 6 (Saturday) Monthly: Day of Month - 1 to 28 Quarterly: Month in Quarter - 1, 2, or 3 integer (int32)
emailMessage The body of the email string
emailSubject The subject line of the email string
onlySendIfData Indicates whether or not to email a report if it contains no data. When set to true, the subscribed report will not be emailed, if the report does not contain data. When set to false, if the requested report has no data, it will still be sent. boolean
recipientUserGroups The list of user groups with members that should receive the report UserGroupWithMembers[]
UserGroupWithMembers properties
Property Description Type
members List of user group members UserChildWithEmail[]
UserChildWithEmail properties
Property Description Type
email Email ID of the user string
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
userGroupId The user group identifier integer (int32)
userGroupName The user group name string
replyToEmail The email address the receiver should reply to string
reportFormat Format of the report (EnergyCAP currently supports PDF, Word, Excel, and CSV) string
scheduleType ReportSubscriptionScheduleTypeChild
ReportSubscriptionScheduleTypeChild properties
Property Description Type
reportSubscriptionScheduleTypeId The identifier of the subscription schedule type integer (int32)
reportSubscriptionScheduleTypeName The name of the subscription schedule type string
sentFromEmail The email address the the email was sent from string
errors Detailed errors that may have occurred during report distribution run string
reportSettings ReportDistributionLogReportSettings
ReportDistributionLogReportSettings properties
Property Description Type
baseReport ReportChild
ReportChild properties
Property Description Type
description The report description string
exportFormats Supported export formats (EnergyCAP currently supports PDF, Word, Excel, Excel data only, Excel formatted, and CSV) ExportFormatChild[]
ExportFormatChild properties
Property Description Type
exportFormatInfo string
preferred boolean
isLandscape Indicates whether or not the report is rendered in landscape boolean
lastUpdated The last time this report was updated string (date-time)
reportCode The report code string
reportId The identifier of the report integer (int32)
reportInfo The report name string
reportSource The rendering engine used for the report (EnergyCAP currently uses SSRS and Crystal) string
reportType ReportType
ReportType properties
Property Description Type
reportTypeCode The report type code string
reportTypeId The identifier of the report type integer (int32)
reportTypeInfo The report type name string
tags Tags describing features of the report TagChild[]
TagChild properties
Property Description Type
tagTypeId integer (int32)
tagTypeInfo string
values string[]
version The version of the report string
reportFilters List of filters to apply to the report FilterResponse[]
FilterResponse properties
Property Description Type
availableOperator The list of available operators Required (defined) string[]
caption The caption of the filter Required (defined) string
dataFieldId The datafield identifier Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
fieldId The field identifier Required (defined) integer (int32)
hidden Indicates if the filter is hidden Required (defined) boolean
operator The operator Required (defined) string
queryParameterName The Query parameter name Required (defined) string
recommended Indicates if the filter is recommended Required (defined) boolean
required Indicates if the filter is required boolean
value The value of the filter Required (defined) string
Example Response application/json
{  "emailSettings": {    "dayIndicator": {      "dayIndicatorInfo": "string",      "dayIndicatorValue": 1
    },    "emailMessage": "string",    "emailSubject": "string",    "onlySendIfData": false,    "recipientUserGroups": [
      {      "members": [],      "userGroupId": 1,      "userGroupName": "string"
    }
    ],    "replyToEmail": "string",    "reportFormat": "string",    "scheduleType": {      "reportSubscriptionScheduleTypeId": 1,      "reportSubscriptionScheduleTypeName": "string"
    },    "sentFromEmail": "string"
  },  "errors": "string",  "reportSettings": {    "baseReport": {      "description": "string",      "exportFormats": [],      "isLandscape": false,      "lastUpdated": "2026-03-30",      "reportCode": "string",      "reportId": 1,      "reportInfo": "string",      "reportSource": "string",      "reportType": {},      "tags": [],      "version": "string"
    },    "reportFilters": [
      {      "availableOperator": [],      "caption": "string",      "dataFieldId": 1,      "dataType": {},      "fieldId": 1,      "hidden": false,      "operator": "string",      "queryParameterName": "string",      "recommended": false,      "required": false,      "value": "string"
    }
    ]
  }
}